org.eclipse.rdf4j.query.impl

## Class GraphQueryResultImpl

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<Statement,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.impl.IteratingGraphQueryResult
      - - org.eclipse.rdf4j.query.impl.GraphQueryResultImpl

- All Implemented Interfaces:
    AutoCloseable, Iterable<Statement>, CloseableIteration<Statement,QueryEvaluationException>, Iteration<Statement,QueryEvaluationException>, GraphQueryResult, QueryResult<Statement>

  Deprecated.
  since 2.0. Use `IteratingGraphQueryResult` instead.

      @Deprecated
      public class GraphQueryResultImpl
      extends IteratingGraphQueryResult

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQueryResultImpl(Map<String,String> namespaces, CloseableIteration<? extends Statement,? extends QueryEvaluationException> statementIter)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.IteratingGraphQueryResult

      `getNamespaces`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResult

      `iterator`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.CloseableIteration

      `close`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `hasNext, next, remove, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### GraphQueryResultImpl

          public GraphQueryResultImpl(Map<String,String> namespaces,
                                      CloseableIteration<? extends Statement,? extends QueryEvaluationException> statementIter)

      Deprecated.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.